Bug 852772 - cli help for repo create --regenerate-metadata should change to say it defaults to true
cli help for repo create --regenerate-metadata should change to say it defaul...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 39
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 10:34 EDT by Preethi Thomas
Modified: 2013-09-09 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:08:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-08-29 10:34:28 EDT
Description of problem:
cli help for repo create --regenerate-metadata should change to say it defaults to true

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

Publishing
 
  --regenerate-metadata - if "true", when the repository is published the repo
                          metadata will be regenerated instead of reusing the
                          metadata downloaded from the feed; defaults to false


2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Dobies 2012-09-05 09:05:18 EDT
commit d26481ff8d2f26a1185157d119895855df3e148a
Author: Jay Dobies <jason.dobies@redhat.com>
Date:   Wed Sep 5 09:04:18 2012 -0400

    852772 - Corrected help text

rpm-support/extensions/admin/rpm_repo/pulp_cli.py


Fixed for both repo create and update.
Comment 2 Jeff Ortel 2012-09-06 09:40:03 EDT
Pull request merged.
Comment 3 Jeff Ortel 2012-09-11 09:31:26 EDT
build: 0.327
Comment 4 Preethi Thomas 2012-09-26 16:14:51 EDT
verified

[root@pulp-master scripts]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.328-1.fc17.noarch
[root@pulp-master scripts]# 

--regenerate-metadata - if "true", when the repository is published the repo
                          metadata will be regenerated instead of reusing the
                          metadata downloaded from the feed; defaults to true
Comment 5 Preethi Thomas 2013-01-09 12:08:56 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.